.redColor {
    color: red
}

div[data-ng-message='pattern'], div[data-ng-message='required'] {
    float: left;
}

/*Check Box CSS*/
.iPosition {
    left: -15px;
    position: relative;
    font-size: 15px;
    line-height: 15px;
    top: -5px;
}

.left25 {
    left: 23px
}

.top32 {
    margin-top: 32px
}

.checkContainer {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    .checkContainer input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 25px;
        width: 25px;
        top: 0;
        left: 0;
        z-index: 5;
    }

label {
    pointer-events: none;
}

a, input, select, button, span {
    pointer-events: auto !important;
}

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #FFF;
    border: 2px solid #777;
    border-radius: 4px;
}

/* On mouse-over, add a grey background color */
.checkContainer:hover input ~ .checkmark {
    background-color: #fff;
}

/* When the checkbox is checked, add a blue background */
.checkContainer input:checked ~ .checkmark {
    background-color: #2196F3;
    border-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.checkContainer input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.checkContainer .checkmark:after {
    left: 7px;
    top: 2px;
    width: 6px;
    height: 13px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.form-element-area {
    /*margin-bottom: 30px;*/
}

input[type='file'] {
    position: absolute;
    font-size: 50px;
    opacity: 0;
    right: 0;
    top: 0;
}

ul.bootpag li {
    float: left;
    margin: 0px !important;
    font-size: 16px;
}

    ul.bootpag li a {
        border: none !important;
    }

.pagination > .active > a {
    color: white !important;
}

li.disabled {
    font-weight: bolder
}

li.active > a {
    color: #0684f2 !important;
    font-weight: bolder;
}

.multiSelect .caret {
    position: relative;
    top: 11px;
    margin: 8px 0px 1px 12px !important;
    border-top: 7px solid #333 !important;
    border-right: 7px solid transparent !important;
    border-left: 7px solid transparent !important;
    float: right;
}

div.bootstrap-datetimepicker-widget li.picker-switch {
    display: none !important;
}

ul.list-inline {
    padding-top: 3px !important;
}

@media (min-width:1400px) {
    .container {
        min-width: 1470px
    }
}

.greencolor {
    color: green !important;
}

.redcolor {
    color: red !important;
}

.mg-r-5 {
    margin-right: 5px;
}

.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: #e8e8e8 !important;
}

.switch {
    position: relative;
    display: inline-block;
    width: 30px;
    height: 17px;
    margin-bottom: 0px;
    vertical-align: middle;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 14px;
        width: 14px;
        left: 3px;
        bottom: 2px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #2196F3;
}

    /*input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}*/

    input:checked + .slider:before {
        -webkit-transform: translateX(11px);
        -ms-transform: translateX(11px);
        transform: translateX(11px);
    }

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }

select {
    cursor: pointer;
}

.custom-menu-content .tab-pane.active {
    display: inline-block;
}

.custom-menu-content ul.notika-main-menu-dropdown li {
    display: block;
}

.custom-menu-content {
    position: absolute;
    left: 0;
    top: 50px;
    z-index: 999;
}

    .custom-menu-content .tab-pane.active {
        min-width: 200px;
        -webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
        box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
    }

.notika-menu-wrap .menu {
    position: relative;
}

.custom-menu-content ul.notika-main-menu-dropdown li:hover {
    background-color: #ddd;
}

.custom-menu-content ul.notika-main-menu-dropdown li a {
    padding: 10px 20px;
}

.ml-15 {
    margin-left: 15px !important;
}

.ml-25 {
    margin-left: 25px !important;
}

.bs-none {
    box-shadow: none;
    padding: 20px 0;
}

.btn-login img {
    transform: rotate(180deg);
    position: relative;
    top: -3px;
}


.td25 {
    width: 25%;
}

.middleAlign {
    vertical-align: middle !important;
}

.boldtd {
    font-weight: bold;
}

.minHeightStatus {
    min-height: 147px;
}

.statusHeight {
    height: 58px;
}

.radio-inline-2 {
    display: inline-block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 12px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default radio button */
    .radio-inline-2 input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
    }

/* Create a custom radio button */
.radio-type-2 {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: transparent;
    border-radius: 50%;
    border: 2px solid #0684f2;
}

/* On mouse-over, add a grey background color */
.radio-inline-2:hover input ~ .radio-type-2 {
    background-color: transparent;
}

/* When the radio button is checked, add a blue background */
.radio-inline-2 input:checked ~ .radio-type-2 {
    background-color: transparent;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.radio-type-2:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the indicator (dot/circle) when checked */
.radio-inline-2 input:checked ~ .radio-type-2:after {
    display: block;
}

/* Style the indicator (dot/circle) */
.radio-inline-2 .radio-type-2:after {
    top: 3px;
    left: 3px;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #0684f2;
}

.td-border td {
    border: 1px solid #ccc
}

.table-margin .form-group {
    margin: 0 0 10px 0px !important;
}

.table-scroll {
    height: 200px;
    min-height: auto;
    overflow-y: auto;
    overflow-x: hidden;
}

.dottedpara {
    white-space: nowrap !important;
    overflow: hidden !important;
    width: 600px;
    text-overflow: ellipsis !important;
}

.data-table-list {
    padding-bottom: 1px !important;
}

.flex_end_setup {
    display: flex;
    align-items: flex-end;
}

::-webkit-scrollbar {
    width: 4px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #0684f2;
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #555;
    }

.table-responsive.makeOwn {
    min-height: .01%;
    overflow-x: auto;
    height: auto;
    max-height: 400px;
    overflow-y: scroll;
}

.fixed_headers {
    width: 100%;
    table-layout: fixed;
    position: relative;
}

    .fixed_headers thead {
        display: block;
        /* width: 100%; */
        /* overflow-x: hidden; */
        position: sticky;
        top: 0px;
        /* width: 100%; */
        z-index: 5;
        background-color: #fff;
    }

    .fixed_headers tbody {
    }

    .fixed_headers thead tr th {
        background-color: #fff;
    }

    .fixed_headers thead tr,
    .fixed_headers tbody tr {
        display: flex;
    }

        .fixed_headers thead tr th,
        .fixed_headers tbody tr td {
            display: block;
            text-align: center;
            word-break: break-word;
        }

.pointer {
    cursor: pointer !important;
}

.pl25 {
    padding-left: 25px !important;
}

.pr25 {
    padding-right: 25px !important;
}

.pt25 {
    padding-top: 25px !important;
}

.n2stop {
    background-color: red;
    color: white;
    font-size: 30px;
    text-align: center;
}

.n2start {
    background-color: green;
    color: white;
    font-size: 30px;
    text-align: center;
}
.n2status {
    background-color: orange;
    color: white;
    font-size: 30px;
    text-align: center;
}